/* *******************************************************
 * install.js
 *
 * (c) 2005 Alexander C. Hubmann
 *
 * Install script of Mozilla ThreadArcs extension
 *
 * Version: $Id: install.js 72 2005-03-17 14:18:30Z sascha $
 ********************************************************/

const APP_DISPLAY_NAME = "ThreadArcs";
const APP_VERSION = "0.1";
const APP_SHORT_NAME = "threadarcs";
const APP_AUTHOR = "alexanderhubmann";

const APP_CHROME = "chrome/";
const APP_PACKAGE = "/" + APP_AUTHOR + "/" + APP_SHORT_NAME;
const APP_JAR_FILE = APP_SHORT_NAME + ".jar";
const APP_CONTENT_FOLDER = "content/";
const APP_COMPONENTS_FOLDER = "components/";
const APP_COMPONENTS_FILE = "ThreadArcs.jar";


var err;
err = initInstall(APP_DISPLAY_NAME, APP_PACKAGE, APP_VERSION);
logComment("initInstall: " + err);

var chromeDir = getFolder("Chrome");
logComment("ChromeDir: " + chromeDir);

var componentDir = getFolder("Components");
logComment("componentDir: " + componentDir);

err = addFile(APP_JAR_FILE, APP_VERSION, APP_CHROME + APP_JAR_FILE, chromeDir, null);
logComment("addFile(): " + err);

err = addFile(APP_COMPONENTS_FILE, APP_VERSION, APP_COMPONENTS_FOLDER + APP_COMPONENTS_FILE, componentDir, "");
logComment("addFile(): " + err);

var jar = getFolder(chromeDir, APP_JAR_FILE);
registerChrome(CONTENT | DELAYED_CHROME, jar, APP_CONTENT_FOLDER);

var result = performInstall();

logComment("performInstall(): " + result);

if ( result != SUCCESS ) cancelInstall(result);